package cn.com.infosec.asn1.x509;

import cn.com.infosec.asn1.DERGeneralizedTime;
import cn.com.infosec.asn1.DERIA5String;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.DERPrintableString;
import cn.com.infosec.asn1.DERUTF8String;
import java.io.IOException;

public class X509DefaultEntryConverter extends X509NameEntryConverter {
   public DERObject getConvertedValue(DERObjectIdentifier oid, String value) {
      if (value.length() != 0 && value.charAt(0) == '#') {
         try {
            return this.convertHexEncoded(value, 1);
         } catch (IOException var3) {
            throw new RuntimeException("can't recode value for oid " + oid.getId());
         }
      } else {
         if (value.length() != 0 && value.charAt(0) == '\\') {
            value = value.substring(1);
         }

         if (!oid.equals(X509Name.EmailAddress) && !oid.equals(X509Name.DC)) {
            if (oid.equals(X509Name.DATE_OF_BIRTH)) {
               return new DERGeneralizedTime(value);
            } else {
               return (DERObject)(!oid.equals(X509Name.C) && !oid.equals(X509Name.SN) && !oid.equals(X509Name.DN_QUALIFIER) ? new DERUTF8String(value) : new DERPrintableString(value));
            }
         } else {
            return new DERIA5String(value);
         }
      }
   }
}
